cascading.tuple.hadoop

## Class BytesSerialization.RawBytesSerializer

- java.lang.Object
- - cascading.tuple.hadoop.BytesSerialization.RawBytesSerializer

- All Implemented Interfaces:
    Serializer<byte[]>
  Enclosing class:
    BytesSerialization

      public static class BytesSerialization.RawBytesSerializer
      extends Object
      implements Serializer<byte[]>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BytesSerialization.RawBytesSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `open(OutputStream out)`
    `void` | `serialize(byte[] bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BytesSerialization.RawBytesSerializer

          public BytesSerialization.RawBytesSerializer()

  - ### Method Detail

    - #### open

          public void open(OutputStream out)
                    throws IOException

      Specified by:
        `open` in interface `Serializer<byte[]>`
      Throws:
        `IOException`

    - #### serialize

          public void serialize(byte[] bytes)
                         throws IOException

      Specified by:
        `serialize` in interface `Serializer<byte[]>`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Serializer<byte[]>`
      Throws:
        `IOException`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.